#!/bin/sh
#
# Install script for Doom Legacy 1.32
# Inspired from the Quake3 install script
# Rob 07.05.2001
DATE="07.05.2001"

bin_path=$SETUP_SYMLINKSPATH
install_path=$SETUP_INSTALLPATH

# Terminal output is redirected during the install process
exec >/dev/tty

# Create a wrapper script for llxdoom 
cat <<__EOF__ >"$bin_path/llxdoom"
#!/bin/sh
#
# startup script for llxdoom from any location
# Rob $DATE

if [ -e "$install_path/llxdoom" ]
then
    cd "$install_path"
    ./llxdoom \$*
else
    echo "No llxdoom binary installed in $install_path"
fi

exit \$?
__EOF__


# a script for lsdldoom with custom libraries
cat <<__EOF__ >"$bin_path/lsdldoom"
#!/bin/sh
#
# startup script for SDL Legacy 
# Rob $DATE

if [ -e "$install_path/lsdldoom" ]
then
    cd "$install_path"
    ./lsdldoom \$*
else
    echo "No lsdldoom binary installed in $install_path"
fi

exit \$?
__EOF__

chmod 755 "$bin_path/llxdoom"
chmod 755 "$bin_path/lsdldoom"
chmod 755 "$install_path/llxdoom"
chmod 755 "$install_path/lsdldoom"

hash -r

exit 0
